<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:44 AST 2017 -->
<title>DequeQueue</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DequeQueue";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DequeQueue.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../Adapter/DequeStack.html" title="class in Adapter"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Adapter/DequeQueue.html" target="_top">Frames</a></li>
<li><a href="DequeQueue.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Adapter</div>
<h2 title="Class DequeQueue" class="title">Class DequeQueue&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Adapter.DequeQueue&lt;E&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>E</code> - Data type of elements in the collection</dd></dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Iterable&lt;E&gt;, java.util.Collection&lt;E&gt;, java.util.Queue&lt;E&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DequeQueue&lt;E&gt;</span>
extends java.lang.Object
implements java.util.Queue&lt;E&gt;</pre>
<div class="block">This Generic adapter class implements queue interface and contains various methods for 
 manipulating Deque using Generic Array and Linked List (such as two way insert and delete).</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Asok Kalidass Kalisamy (B00763356) - Graduate Student</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../Adapter/DequeQueue.html#DequeQueue(Queue.ArrayDeque)">DequeQueue</a></strong>(<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a>&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;arrayDeque)</code>
<div class="block">Initializes an empty array of fixed size</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../Adapter/DequeQueue.html#DequeQueue(Queue.LinkedListDeque)">DequeQueue</a></strong>(<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a>&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;linkedListDeque)</code>
<div class="block">Initializes LinkedListDeque</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#add(E)">add</a></strong>(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#addAll(java.util.Collection)">addAll</a></strong>(java.util.Collection&lt;? extends <a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#clear()">clear</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#contains(java.lang.Object)">contains</a></strong>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#containsAll(java.util.Collection)">containsAll</a></strong>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#element()">element</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#insertFirst(E)">insertFirst</a></strong>(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;element)</code>
<div class="block">Inserts an element at front of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#insertLast(E)">insertLast</a></strong>(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;element)</code>
<div class="block">Inserts an element at rear end of the deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Checks for an empty array</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#iterator()">iterator</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#offer(E)">offer</a></strong>(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#peek()">peek</a></strong>()</code>
<div class="block">Returns head of the deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#peekLast()">peekLast</a></strong>()</code>
<div class="block">Returns tail of the deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#poll()">poll</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#remove()">remove</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#remove(java.lang.Object)">remove</a></strong>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#removeAll(java.util.Collection)">removeAll</a></strong>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#removeFirst()">removeFirst</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a></code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#removeLast()">removeLast</a></strong>()</code>
<div class="block">Remove an element from front of deque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#retainAll(java.util.Collection)">retainAll</a></strong>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#size()">size</a></strong>()</code>
<div class="block">Returns the size of an array</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#toArray()">toArray</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T[]</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#toArray(T[])">toArray</a></strong>(T[]&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../Adapter/DequeQueue.html#toString()">toString</a></strong>()</code>
<div class="block">Returns the array content</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>equals, hashCode</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DequeQueue(Queue.ArrayDeque)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DequeQueue</h4>
<pre>public&nbsp;DequeQueue(<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a>&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;arrayDeque)</pre>
<div class="block">Initializes an empty array of fixed size</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arrayDeque</code> - - array initialization</dd></dl>
</li>
</ul>
<a name="DequeQueue(Queue.LinkedListDeque)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DequeQueue</h4>
<pre>public&nbsp;DequeQueue(<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a>&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;linkedListDeque)</pre>
<div class="block">Initializes LinkedListDeque</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>linkedListDeque</code> - - linkedList Deque initialization</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<div class="block">Returns the size of an array</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>size</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>Returns the size of an array</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Checks for an empty array</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>isEmpty</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>True - if empty else false</dd></dl>
</li>
</ul>
<a name="insertFirst(java.lang.Object)">
<!--   -->
</a><a name="insertFirst(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertFirst</h4>
<pre>public&nbsp;void&nbsp;insertFirst(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;element)</pre>
<div class="block">Inserts an element at front of deque</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>element</code> - - data to be added</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>FullStructureException</code> - when deque is full</dd></dl>
</li>
</ul>
<a name="insertLast(java.lang.Object)">
<!--   -->
</a><a name="insertLast(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertLast</h4>
<pre>public&nbsp;void&nbsp;insertLast(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;element)</pre>
<div class="block">Inserts an element at rear end of the deque</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>element</code> - - data to be added</dd></dl>
</li>
</ul>
<a name="removeLast()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeLast</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;removeLast()</pre>
<div class="block">Remove an element from front of deque</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>element that was removed</dd></dl>
</li>
</ul>
<a name="removeFirst()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFirst</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;removeFirst()</pre>
<div class="block">Remove an element from front of deque</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>element that was removed</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>EmptyStructureException</code> - when array index has no empty</dd></dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns the array content</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>Returns the array content</dd></dl>
</li>
</ul>
<a name="peek()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>peek</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;peek()</pre>
<div class="block">Returns head of the deque</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>peek</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>Return</code> - head of the deque</dd></dl>
</li>
</ul>
<a name="peekLast()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>peekLast</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;peekLast()</pre>
<div class="block">Returns tail of the deque</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>Return</code> - tail of the deque</dd></dl>
</li>
</ul>
<a name="contains(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="iterator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;iterator()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toArray()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toArray</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;toArray()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toArray(java.lang.Object[])">
<!--   -->
</a><a name="toArray(T[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toArray</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;T[]&nbsp;toArray(T[]&nbsp;a)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="remove(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;boolean&nbsp;remove(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="containsAll(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsAll</h4>
<pre>public&nbsp;boolean&nbsp;containsAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>containsAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="addAll(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre>public&nbsp;boolean&nbsp;addAll(java.util.Collection&lt;? extends <a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;&nbsp;c)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>addAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="removeAll(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAll</h4>
<pre>public&nbsp;boolean&nbsp;removeAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>removeAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="retainAll(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retainAll</h4>
<pre>public&nbsp;boolean&nbsp;retainAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>retainAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="clear()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>clear</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="add(java.lang.Object)">
<!--   -->
</a><a name="add(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;boolean&nbsp;add(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="offer(java.lang.Object)">
<!--   -->
</a><a name="offer(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>offer</h4>
<pre>public&nbsp;boolean&nbsp;offer(<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>offer</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="remove()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;remove()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="poll()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>poll</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;poll()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>poll</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="element()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>element</h4>
<pre>public&nbsp;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&nbsp;element()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>element</code>&nbsp;in interface&nbsp;<code>java.util.Queue&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DequeQueue.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../Adapter/DequeStack.html" title="class in Adapter"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Adapter/DequeQueue.html" target="_top">Frames</a></li>
<li><a href="DequeQueue.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
